> ## Documentation Index
> Fetch the complete documentation index at: https://readme.amana-dev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactionswithdrawal requests



## OpenAPI

````yaml /openapi-readme.json get /transactions/withdrawal-requests
openapi: 3.1.0
info:
  title: Amana API
  version: 1.0.0
  description: API documentation for Amana platform
servers:
  - url: https://gateway.amana.io
    description: Amana app
security: []
tags:
  - name: onboarding
    description: Endpoints related to user onboarding, KYC processes, and account setup.
  - name: auth
    description: Endpoints for user authentication, token management, and session handling.
  - name: trading
    description: >-
      Endpoints related to trading operations, account management, and market
      data retrieval.
  - name: charting
    description: >-
      Endpoints for retrieving historical price data, technical indicators, and
      other charting-related information.
  - name: uaepass
    description: Endpoints for UAE Pass authentication and identity verification.
  - name: alerts
  - name: cms
  - name: dw
  - name: events
  - name: geo-location
  - name: high-leverage
  - name: kyc
  - name: mt
  - name: nafath
  - name: payments
  - name: promo-codes
  - name: smart-money
  - name: support
  - name: symbols
  - name: trading-accounts
  - name: transactions
  - name: user
  - name: watchlists
paths:
  /transactions/withdrawal-requests:
    get:
      tags:
        - transactions
      operationId: list-withdrawal-requests
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
          in: query
          name: limit
          required: false
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
          in: query
          name: from
          required: false
        - schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 9007199254740991
          in: query
          name: to
          required: false
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  page:
                    type: number
                  limit:
                    type: number
                  count:
                    type: number
                  hasNextPage:
                    type: boolean
                  hasPrevPage:
                    type: boolean
                  totalPages:
                    type: number
                  result:
                    type: array
                    items:
                      type: object
                      properties:
                        accountId:
                          anyOf:
                            - type: string
                            - type: 'null'
                        amount:
                          type: number
                        fromCurrency:
                          type: string
                        exchange_rate:
                          type: number
                        convertedAmount:
                          type: number
                        toCurrency:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        transactionId:
                          type: string
                        paymentGatewayName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        processedComment:
                          anyOf:
                            - type: string
                            - type: 'null'
                        creditCard:
                          anyOf:
                            - type: object
                              properties:
                                lastFourDigits:
                                  type: string
                                typeName:
                                  type: string
                              required:
                                - lastFourDigits
                                - typeName
                              additionalProperties: false
                            - type: 'null'
                        bankAccount:
                          anyOf:
                            - type: object
                              properties:
                                bankName:
                                  type: string
                                iban:
                                  type: string
                              required:
                                - bankName
                                - iban
                              additionalProperties: false
                            - type: 'null'
                        ewallet:
                          anyOf:
                            - type: object
                              properties:
                                typeName:
                                  type: string
                                email:
                                  type: string
                              required:
                                - typeName
                                - email
                              additionalProperties: false
                            - type: 'null'
                        transaction:
                          type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - PENDING
                                - PROCESSING
                                - CANCELLED
                                - START_PROCESSING
                                - PENDING_PSP_PROCESSING
                                - COMPLETED
                                - REJECTED
                                - ERROR
                                - DIVIDED
                            id:
                              type: number
                            transactionId:
                              type: string
                            referenceNumber:
                              type: number
                            completedAt:
                              anyOf:
                                - type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                                - type: 'null'
                          required:
                            - status
                            - id
                            - transactionId
                            - referenceNumber
                            - completedAt
                          additionalProperties: false
                      required:
                        - accountId
                        - amount
                        - fromCurrency
                        - exchange_rate
                        - convertedAmount
                        - toCurrency
                        - createdAt
                        - transactionId
                        - paymentGatewayName
                        - processedComment
                        - creditCard
                        - bankAccount
                        - ewallet
                        - transaction
                      additionalProperties: false
                required:
                  - page
                  - limit
                  - count
                  - hasNextPage
                  - hasPrevPage
                  - totalPages
                  - result
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details:
                    type: object
                    additionalProperties: true
                required:
                  - error
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token obtained from authentication endpoints

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.